summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/aseqview/README13
-rw-r--r--audio/aseqview/aseqview.SlackBuild91
-rw-r--r--audio/aseqview/aseqview.desktop8
-rw-r--r--audio/aseqview/aseqview.info10
-rw-r--r--audio/aseqview/doinst.sh3
-rw-r--r--audio/aseqview/slack-desc19
6 files changed, 144 insertions, 0 deletions
diff --git a/audio/aseqview/README b/audio/aseqview/README
new file mode 100644
index 0000000000..732e1beb89
--- /dev/null
+++ b/audio/aseqview/README
@@ -0,0 +1,13 @@
+aseqview (ALSA sequencer event viewer)
+
+ASeqView is an ALSA sequencer user-client which works as an event
+viewer. It visualizes received events, e.g. note-on/off, controls,
+pitch wheels, using bar graphs, as often seen in many sequencer
+programs. Using this viewer, even a simple command line sequencer like
+pmidi or playmidi1 becomes a cool one with graphical interface :-)
+
+Another feature of ASeqView is redirection of events. ASeqView can
+output the received events to subscription ports with some modification
+like channel mute or pitch change. Since this works as a real-time
+filter client, such modifications can be applied also in real-time
+without complexity.
diff --git a/audio/aseqview/aseqview.SlackBuild b/audio/aseqview/aseqview.SlackBuild
new file mode 100644
index 0000000000..70c9b6d0b9
--- /dev/null
+++ b/audio/aseqview/aseqview.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for aseqview
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=aseqview
+VERSION=${VERSION:-0.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# 20180916 bkw: need this due to these:
+# levelbar.o: In function `g_bit_nth_lsf':
+# levelbar.c:(.text+0x410): multiple definition of `g_bit_nth_lsf'
+# aseqview.o:aseqview.c:(.text+0x23c0): first defined here
+SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+# NEWS is a 0-byte placeholder
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# .desktop file written by SlackBuild author. I picked a generic
+# audio-related icon that ships with Slackware. Want a better icon? Please
+# design one and send it to me. IANAGD (I am not a graphic designer).
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/aseqview/aseqview.desktop b/audio/aseqview/aseqview.desktop
new file mode 100644
index 0000000000..1ff046215e
--- /dev/null
+++ b/audio/aseqview/aseqview.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=ASeqView
+Comment=ALSA MIDI Event Viewer
+Type=Application
+Exec=aseqview
+Icon=Radio
+Terminal=false
+Categories=AudioVideo;Audio;Music
diff --git a/audio/aseqview/aseqview.info b/audio/aseqview/aseqview.info
new file mode 100644
index 0000000000..203efc96aa
--- /dev/null
+++ b/audio/aseqview/aseqview.info
@@ -0,0 +1,10 @@
+PRGNAM="aseqview"
+VERSION="0.2.8"
+HOMEPAGE="http://www.alsa-project.org/~tiwai/alsa.html"
+DOWNLOAD="ftp://ftp.suse.com/pub/people/tiwai/aseqview/aseqview-0.2.8.tar.gz"
+MD5SUM="5f75e1b6fc5eab6b40ae2c7a74216a7b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/aseqview/doinst.sh b/audio/aseqview/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/aseqview/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/aseqview/slack-desc b/audio/aseqview/slack-desc
new file mode 100644
index 0000000000..d9a01541a8
--- /dev/null
+++ b/audio/aseqview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aseqview: aseqview (ALSA sequencer event viewer)
+aseqview:
+aseqview: ASeqView is an ALSA sequencer user-client which works as an
+aseqview: event viewer. It visualizes received events, e.g. note-on/off,
+aseqview: controls, pitch wheels, using bar graphs, as often seen in many
+aseqview: sequencer programs. Another feature of ASeqView is redirection
+aseqview: of events. ASeqView can output the received events to subscription
+aseqview: ports with some modification like channel mute or pitch change. Since
+aseqview: this works as a real-time filter client, such modifications can be
+aseqview: applied also in real-time without complexity.
+aseqview: